# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-fedora-compat
BuildRequires: gcc-c++ libX11-devel
# END SourceDeps(oneline)
BuildRequires: graphviz
Summary: C++/Qt4 wrapper around the ALSA library sequencer interface
Name:    drumstick
Version: 0.5.0
Release: alt1_4
#define svn svn

Group:   System/Libraries
License: GPLv2+
URL:     http://drumstick.sourceforge.net/
Source0: http://downloads.sourceforge.net/project/drumstick/%{version}%{?svn}/drumstick-%{version}%{?svn}.tar.bz2
# fix FTBFS due to the strict ld in Fedora >= 13
Patch0:  drumstick-0.5.0-fix-implicit-linking.patch

BuildRequires: ctest cmake qt4-devel libalsa-devel desktop-file-utils
# For building manpages
BuildRequires: docbook-style-xsl /usr/bin/xsltproc
# For building API documents
BuildRequires: doxygen

Obsoletes: aseqmm < %{version}-%{release}
Provides: aseqmm = %{version}-%{release}
Source44: import.info


%description
The drumstick library is a C++ wrapper around the ALSA library sequencer
interface, using Qt4 objects, idioms and style. The ALSA sequencer interface
provides software support for MIDI technology on GNU/Linux.

%package devel
Summary: Developer files for %{name}
Group:   Development/C
Requires: %{name} = %{version}-%{release}
Obsoletes: aseqmm-devel < %{version}-%{release}
Provides: aseqmm-devel = %{version}-%{release}
%description devel
%{summary}.

%package examples
Summary: Example programs for %{name}
Group:   System/Libraries
Requires: %{name} = %{version}-%{release}
Obsoletes: aseqmm-examples < %{version}-%{release}
Provides: aseqmm-examples = %{version}-%{release}
%description examples
This package contains the test/example programs for %{name}.


%prep
%setup -q -n %{name}-%{version}%{?svn}
%patch0 -p1 -b .implicit-linking


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{fedora_cmake} ..
popd

make %{?_smp_mflags} -C %{_target_platform}
doxygen %{_target_platform}/Doxyfile


%install
make install/fast  DESTDIR=$RPM_BUILD_ROOT -C %{_target_platform}
for i in $RPM_BUILD_ROOT%{_datadir}/applications/* ; do
  desktop-file-validate $i
done


%files
%doc AUTHORS ChangeLog COPYING
%{_libdir}/libdrumstick-file.so.*
%{_libdir}/libdrumstick-alsa.so.*
%{_datadir}/mime/packages/drumstick.xml

%files devel
%doc doc/html/*
%{_libdir}/libdrumstick-file.so
%{_libdir}/libdrumstick-alsa.so
%{_libdir}/pkgconfig/drumstick-file.pc
%{_libdir}/pkgconfig/drumstick-alsa.pc
%{_includedir}/drumstick/
%{_includedir}/drumstick.h

%files examples
%{_bindir}/drumstick-*
%{_mandir}/man1/drumstick-*.1*
%{_datadir}/applications/drumstick-*.desktop
%{_datadir}/icons/hicolor/*/apps/*


%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.5.0-alt1_4
- update to new release by fcimport

* Sat Dec 22 2012 Igor Vlasenko <viy@altlinux.ru> 0.5.0-alt1_3
- fc import

